Bug 117484 - (ACPI 3C59X) S3 resume -- no eth0
(ACPI 3C59X) S3 resume -- no eth0
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-04 10:11 EST by Mihai Ibanescu
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mihai Ibanescu 2004-03-04 10:11:58 EST
Tried to use ACPI on my laptop, Dell Latitude C600

Linux roadrunner.devel.redhat.com 2.6.3-1.118 #1 Mon Mar 1 17:36:45
EST 2004 i686 i686 i386 GNU/Linux

Did:
echo -n 3 > /proc/acpi/sleep
Laptop went into text mode and printed some stuff I didn't see, then
screen turned white (while being indeed in sleep mode).

Got the system back after pressing the power key, but network didn't
come back up. Link LED was off.

Tried service network restart - didn't help. /var/log/messages was
showing some messages like:

Mar  4 09:38:26 roadrunner kernel: eth0: command 0x5800 did not
complete! Status=0xffff
Mar  4 09:38:30 roadrunner dhclient: DHCPREQUEST on eth0 to
255.255.255.255 port 67
Mar  4 09:38:30 roadrunner kernel: eth0: command 0x3002 did not
complete! Status=0xffff

Also, got this error message:
Shutting down interface eth0: Device eth0 has different MAC address
than expected, ignoring

Tried to rmmod and insmod the network module.

Mar  4 09:38:22 roadrunner kernel: 3c59x: Donald Becker and others.
www.scyld.com/network/vortex.html
Mar  4 09:38:22 roadrunner kernel: 0000:00:10.0: 3Com PCI 3c556 Laptop
Tornado at 0xd400. Vers LK1.1.19
Mar  4 09:38:22 roadrunner kernel:   ***WARNING*** No MII transceivers
found!

Solution was to reboot.


[root@roadrunner root]# cat /proc/cpuinfo 
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 8
model name	: Pentium III (Coppermine)
stepping	: 6
cpu MHz		: 751.911
cache size	: 256 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat
pse36 mmx fxsr sse
bogomips	: 1490.94



Let me know if you need any more info.
Comment 1 Len Brown 2004-03-12 23:11:27 EST
sure sounds like an issue in the ethernet driver's suspend/resume...

If you unload the ethernet before suspend, does resume otherwise work?

thanks,
-Len
Comment 2 Dave Jones 2004-04-15 07:39:03 EDT
A lot has changed since 2.6.3-1.118 too, you might want to try the
latest development kernel.

Comment 3 Miloš Komarčević 2004-05-21 05:27:35 EDT
This might be a separate bug, but I have a similar problem with a
PCMCIA 3c575 (also uses 3c59x driver) on a an IBM TP600E with FC2,
which uses APM (dmesg says ACPI is from 1999 and too old, so it's
disabled).

I had to put PCMCIARESTART=yes in /etc/sysconfig/apmd to make the card
alive after resume, but eth0 doesn't get restarted, even though I have
NET_RESTART=yes as well. It works ok if I bring it back up manually
after resume.
Comment 4 max 2005-01-07 00:01:46 EST
I have Lattitude C600, 3c59x driver breaks in the same manner after
resuming from the sleep. Using FC3, kernel 2.6.9-1.724_FC3
Comment 5 max 2005-01-07 00:04:09 EST
Sorry for breaking into two messages, but I thought it might be
usefull to note that rest of drivers seems to resume w/o any issues
(audio/video/wireless card in ndiswrapper). 
Comment 6 Dave Jones 2005-04-16 01:43:14 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.